Summary: Prints the source files in PostScript
Name: trueprint
Version: 5.3
Release: 1
Source: ftp://ftp.gnu.org/pub/gnu/trueprint/trueprint-%{PACKAGE_VERSION}.tar.gz
# The "printers" file is missing from the 5.3 tarball!
#  this one was taken from the 5.2.1 tarball, to be copied separately.
Source1: trueprint.printers
Patch0: %{name}-%{version}-enum.patch
Copyright: GPL
Group: Applications/Text
BuildRoot: /var/tmp/trueprint-root
Prereq: info, diffutils
Obsoletes: Trueprint
Prefix: %{_prefix}

%description
Trueprint is a general purpose program printing program.  It tries to produce
everything that anybody could need in a program printout without the need for
large numbers of switches or pipelines.

Trueprint can currently handle C, C++, Verilog, shell (including ksh),
perl, pascal, listing files and plain text files.

%prep
%setup -q -n trueprint-%{PACKAGE_VERSION}
%patch0 -p1 -b .enum

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type xlc 2>/dev/null`" != 'X'; then
       export CC=xlc
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
%ifarch ia64
       export CC64="$CC -q64"
%endif
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export RPM_OPT_FLAGS=$RPM_OPT_FLAGS" -qcpluscmt"
fi
export CFLAGS=$RPM_OPT_FLAGS

#CFLAGS="$RPM_OPT_FLAGS" trueprint_LDADD="-lintl" LDADD="-lintl" LDFLAGS="-lintl" trueprint_LDFLAGS="-lintl" ./configure --prefix=%{prefix}
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-lintl" ./configure --prefix=%{prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/info
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/man/man1
make prefix=${RPM_BUILD_ROOT}%{prefix} install
/usr/bin/strip ${RPM_BUILD_ROOT}%{prefix}/bin/trueprint || :

# Copy printers file into place
cp ${RPM_SOURCE_DIR}/trueprint.printers ${RPM_BUILD_ROOT}%{prefix}/lib/printers

( cd $RPM_BUILD_ROOT
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{prefix}/bin/* .
  cd -
)

%post
if [ $1 = 1 ]
then
  /sbin/install-info --dir-file=%{prefix}/info/dir %{prefix}/info/trueprint.info
fi

%postun
if [ $1 = 0 ]
then
  /sbin/install-info --dir-file=%{prefix}/info/dir \
    --remove %{prefix}/info/trueprint.info
fi

%files
%defattr(-,root,root,0755)
%attr(0755,root,root) %{prefix}/bin/trueprint
%attr(0644,root,root) %doc %{prefix}/man/man1/trueprint.1
%attr(0644,root,root) %config(noreplace) %{prefix}/lib/printers
%attr(0644,root,root) %doc %{prefix}/info/trueprint.info
%attr(0644,root,root) %doc AUTHORS COPYING INSTALL NEWS README
/usr/bin/trueprint

%changelog
* Wed Aug 29 2001 David Clissold <cliss@austin.ibm.com>
- Update to the 5.3 release.

* Fri Jul 06 2001 David Clissold <cliss@austin.ibm.com>
- Initial build for AIX Toolbox.

* Wed Feb 16 2000 Lezz Giles <gilesfamily@mediaone.net>
- Updated to the 5.2.1 release.

* Wed Nov 3 1999 Lezz Giles <gilesfamily@mediaone.net>
- Updated to the 5.2 release.

* Sat Oct 30 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Updated to the 5.1 release.
- Strip trueprint (-s added to CFLAGS).

* Tue Jul 27 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Initial release

